Package org.apache.wiki.rpc.atom

# Class AtomAPIServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.wiki.rpc.atom.AtomAPIServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class AtomAPIServlet extends jakarta.servlet.http.HttpServlet
Handles incoming requests for the Atom API. This class uses the "sandler" Atom API implementation.

Since:
  2.1.97
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`AtomAPIServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doDelete(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
`void`
`doGet(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Handles HTTP GET.
`void`
`doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Implements the PostURI of the Atom spec.
`void`
`doPut(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
`void`
`init(jakarta.servlet.ServletConfig config)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doHead, doOptions, doPatch, doTrace, getLastModified, isSensitiveHeader, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtomAPIServlet

public AtomAPIServlet()

## Method Details

### init

public void init(jakarta.servlet.ServletConfig config) throws jakarta.servlet.ServletException

Specified by:
  `init` in interface `jakarta.servlet.Servlet`
Overrides:
  `init` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`

### doPost

public void doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException
Implements the PostURI of the Atom spec.

Implementation notes:

- Only fetches the first content. All other contents are ignored.
- Assumes that incoming code is plain text or WikiMarkup, not html.

Overrides:
  `doPost` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`

### doGet

public void doGet(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException
Handles HTTP GET. However, we do not respond to GET requests, other than to show an explanatory text.

Overrides:
  `doGet` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`

### doDelete

public void doDelete(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)

Overrides:
  `doDelete` in class `jakarta.servlet.http.HttpServlet`

### doPut

public void doPut(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)

Overrides:
  `doPut` in class `jakarta.servlet.http.HttpServlet`